import { HttpException, HttpStatus } from '@nestjs/common';
import { Favoritos } from './favoritos.entity';
import { Repository } from 'typeorm';
import { CreateFavoritosDto } from './dto/create-favoritos.dto';
import { UpdateFavoritosDto } from './dto/update-favoritos.dto';
export declare class FavoritosService {
    private favoritoRepository;
    constructor(favoritoRepository: Repository<Favoritos>);
    createData(favorito: CreateFavoritosDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            deleted_at: Date;
            inmueble_id: number;
            user_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble;
            user: import("../users/user.entity").User;
        };
        status: HttpStatus;
        message: string;
    }>;
    getData(): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        inmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
            estado: import("../estado/estado.entity").Estado;
            estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
            tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
            nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
            distrito: import("../distrito/distrito.entity").Distrito;
            user: import("../users/user.entity").User;
            tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
            favoritos: Favoritos[];
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            galeria: import("../galeria/galeria.entity").Galeria[];
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        id: number;
        deleted_at: Date;
        inmueble_id: number;
        user_id: number;
    }[]>;
    getDataById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        inmueble: {
            created_at: string;
            updated_at: string;
            id: number;
            bathroom: number;
            dormitorios: number;
            cocheras: number;
            ambientes: number;
            mascotas: string;
            cuarto_servicio: string;
            balcon: string;
            terraza: string;
            ascensor: string;
            condominio: string;
            deposito: string;
            proyecto: string;
            areas_sociales: string;
            area: number;
            area_techada: number;
            precio: string;
            precio_mantenimiento: string;
            piso: number;
            descripcion: string;
            direccion: string;
            latitud: string;
            longitud: string;
            zoom: string;
            antiguedad: number;
            estreno: string;
            titulo: string;
            tipo_vivienda_id: number;
            tipo_operacion_id: number;
            tipo_inmueble_id: number;
            nivel_amoblado_id: number;
            distrito_id: number;
            user_id: number;
            tipo_ubicacion_id: number;
            estado_inmueble_id: number;
            deleted_at: Date;
            tipo_moneda_id: number;
            estado_id: number;
            tipoMoneda: import("../tipo-moneda/tipo-moneda.entity").TipoMoneda;
            tipoVivienda: import("../tipo-vivienda/tipo-vivienda.entity").TipoVivienda;
            tipoOperacion: import("../tipo-operacion/tipo-operacion.entity").TipoOperacion;
            estado: import("../estado/estado.entity").Estado;
            estadoInmueble: import("../estado-inmueble/estado-inmueble.entity").EstadoInmueble;
            tipoInmueble: import("../tipo-inmueble/tipo-inmueble.entity").TipoInmueble;
            nivelAmoblado: import("../nivel-amoblado/nivel-amoblado.entity").NivelAmoblado;
            distrito: import("../distrito/distrito.entity").Distrito;
            user: import("../users/user.entity").User;
            tipoUbicacion: import("../tipo-ubicacion/tipo-ubicacion.entity").TipoUbicacion;
            favoritos: Favoritos[];
            inmuebleAreasSociales: import("../inmueble-areas-sociales/inmueble-areas-sociales.entity").InmuebleAreasSociales[];
            galeria: import("../galeria/galeria.entity").Galeria[];
            inmuebleEstados: import("../inmueble-estados/inmueble-estados.entity").InmuebleEstados[];
            inmuebleVistas: import("../inmueble-vistas/inmueble-vistas.entity").InmuebleVistas[];
        };
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: Favoritos[];
            busquedas: import("../busquedas/busquedas.entity").Busquedas[];
        };
        id: number;
        deleted_at: Date;
        inmueble_id: number;
        user_id: number;
    }>;
    updateData(id: number, favorito: UpdateFavoritosDto): Promise<HttpException | (Favoritos & UpdateFavoritosDto)>;
    deleteData(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
